# Interface ITextEditorActionDefinitionIds

All Superinterfaces:
  `IWorkbenchActionDefinitionIds`

public interface ITextEditorActionDefinitionIds extends IWorkbenchActionDefinitionIds
Defines the definitions ids for the text editor actions. These actions are navigation, selection, and modification actions.

This interface must not be implemented by clients.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BLOCK_SELECTION_MODE`
Command ID of the command to toggle block selection mode.
`static final String`
`CHANGE_ENCODING`
Value: `"org.eclipse.ui.edit.text.changeEncoding"`).
`static final String`
`CLEAR_MARK`
Action definition id of the edit clear mark action.
`static final String`
`COLUMN_NEXT`
Action definition id of the navigate goto next column action.
`static final String`
`COLUMN_PREVIOUS`
Action definition id of the navigate goto previous column action.
`static final String`
`CONTENT_ASSIST_CONTEXT_INFORMATION`
Action definition ID of the edit -> content assist context information action Value: `"org.eclipse.ui.edit.text.contentAssist.contextInformation"`).
`static final String`
`CONTENT_ASSIST_PROPOSALS`
Action definition ID of the edit -> content assist proposal action Value: `"org.eclipse.ui.edit.text.contentAssist.proposals"`).
`static final String`
`CONVERT_LINE_DELIMITERS_TO_MAC`
Deprecated, for removal: This API element is subject to removal in a future version.
since 3.1.
`static final String`
`CONVERT_LINE_DELIMITERS_TO_UNIX`
Deprecated, for removal: This API element is subject to removal in a future version.
since 3.1.
`static final String`
`CONVERT_LINE_DELIMITERS_TO_WINDOWS`
Deprecated, for removal: This API element is subject to removal in a future version.
since 3.1.
`static final String`
`COPY_LINES_DOWN`
Action definition id of the copy lines downwards action.
`static final String`
`COPY_LINES_UP`
Action definition id of the copy lines upwards action.
`static final String`
`CUT_LINE`
Action definition id of the edit cut line action.
`static final String`
`CUT_LINE_TO_BEGINNING`
Action definition id of the edit cut line to beginning action.
`static final String`
`CUT_LINE_TO_END`
Action definition id of the edit cut line to end action.
`static final String`
`DELETE_LINE`
Action definition id of the edit delete line action.
`static final String`
`DELETE_LINE_TO_BEGINNING`
Action definition id of the edit delete line to beginning action.
`static final String`
`DELETE_LINE_TO_END`
Action definition id of the edit delete line to end action.
`static final String`
`DELETE_NEXT`
Action definition id of the edit delete next character action.
`static final String`
`DELETE_NEXT_WORD`
Action definition id of the edit delete next word action.
`static final String`
`DELETE_PREVIOUS`
Action definition id of the edit delete previous character action.
`static final String`
`DELETE_PREVIOUS_WORD`
Action definition id of the edit delete previous word action.
`static final String`
`GOTO_LAST_EDIT_POSITION`
Action definition id of go to last edit position action.
`static final String`
`GOTO_NEXT_ANNOTATION`
Action definition id of go to next annotation action.
`static final String`
`GOTO_NEXT_EDIT_POSITION`
Action definition id of go to next edit position action.
`static final String`
`GOTO_PREVIOUS_ANNOTATION`
Action definition id of go to previous annotation action.
`static final String`
`HIPPIE_COMPLETION`
Action definition ID of the edit -> text complete action Value: `"org.eclipse.ui.edit.text.hippieCompletion"`).
`static final String`
`JOIN_LINES`
Action definition id of the edit join lines action.
`static final String`
`LINE_DOWN`
Action definition id of the navigate goto next line action.
`static final String`
`LINE_END`
Action definition id of the navigate goto line end action.
`static final String`
`LINE_GOTO`
Action definition id of the navigate goto line action.
`static final String`
`LINE_START`
Action definition id of the navigate goto line start action.
`static final String`
`LINE_UP`
Action definition id of the navigate goto previous line action.
`static final String`
`LINENUMBER_TOGGLE`
Command ID of the toggle display of line numbers Value: `"org.eclipse.ui.editors.lineNumberToggle"`).
`static final String`
`LOWER_CASE`
Action definition id of the lower case action.
`static final String`
`MOVE_LINES_DOWN`
Action definition id of the move lines downwards action.
`static final String`
`MOVE_LINES_UP`
Action definition id of the move lines upwards action.
`static final String`
`OPEN_HYPERLINK`
Command ID of the command to open the hyperlink at the caret location or to display a chooser if more than one hyperlink is available.
`static final String`
`PAGE_DOWN`
Action definition id of the navigate goto next page action.
`static final String`
`PAGE_UP`
Action definition id of the navigate goto previous page action.
`static final String`
`QUICK_ASSIST`
Action definition ID of the edit -> quick assist proposal action
`static final String`
`QUICKDIFF_REVERT`
Command ID of the revert selection/block action Value: `"org.eclipse.ui.editors.quickdiff.revert"`).
`static final String`
`QUICKDIFF_REVERTLINE`
Command ID of the revert line action Value: `"org.eclipse.ui.editors.quickdiff.revertLine"`).
`static final String`
`QUICKDIFF_TOGGLE`
Command ID of the toggle quick diff action.
`static final String`
`RECENTER`
Command ID of the recenter command.
`static final String`
`REVISION_AUTHOR_TOGGLE`
Command ID of the command to toggle the revision author display.
`static final String`
`REVISION_ID_TOGGLE`
Command ID of the command to toggle the revision ID display.
`static final String`
`REVISION_RENDERING_CYCLE`
Command ID of the command to cycle the revision rendering mode.
`static final String`
`SCROLL_LINE_DOWN`
Action definition id of the navigate scroll line down action.
`static final String`
`SCROLL_LINE_UP`
Action definition id of the navigate scroll line up action.
`static final String`
`SELECT_COLUMN_NEXT`
Action definition id of the select next column action.
`static final String`
`SELECT_COLUMN_PREVIOUS`
Action definition id of the select previous column action.
`static final String`
`SELECT_LINE_DOWN`
Action definition id of the select line down action.
`static final String`
`SELECT_LINE_END`
Action definition id of the select line end action.
`static final String`
`SELECT_LINE_START`
Action definition id of the select line start action.
`static final String`
`SELECT_LINE_UP`
Action definition id of the select line up action.
`static final String`
`SELECT_PAGE_DOWN`
Action definition id of the select page down action.
`static final String`
`SELECT_PAGE_UP`
Action definition id of the select page up action.
`static final String`
`SELECT_TEXT_END`
Action definition id of the select text end action.
`static final String`
`SELECT_TEXT_START`
Action definition id of the select text start action.
`static final String`
`SELECT_WINDOW_END`
Action definition id of the select window end action.
`static final String`
`SELECT_WINDOW_START`
Action definition id of the select window start action.
`static final String`
`SELECT_WORD_NEXT`
Action definition id of the select next word action.
`static final String`
`SELECT_WORD_PREVIOUS`
Action definition id of the select previous word action.
`static final String`
`SET_MARK`
Action definition id of the edit set mark action.
`static final String`
`SHIFT_LEFT`
Action definition id of the edit shift left action.
`static final String`
`SHIFT_RIGHT`
Action definition id of the edit shift right action.
`static final String`
`SHOW_CHANGE_RULER_INFORMATION_ID`
Command ID of the command to display a sticky ruler hover for the current caret location.
`static final String`
`SHOW_INFORMATION`
Command ID of the command to display information for the current caret location in a sticky hover.
`static final String`
`SHOW_RULER_ANNOTATION_INFORMATION_ID`
Command ID of the command to display a sticky ruler annotation hover for the current caret location.
`static final String`
`SHOW_RULER_CONTEXT_MENU`
Action definition id of the show ruler context menu action.
`static final String`
`SHOW_WHITESPACE_CHARACTERS`
Command ID of the command to toggle the display of whitespace characters.
`static final String`
`SMART_ENTER`
Action definition id of the smart enter action.
`static final String`
`SMART_ENTER_INVERSE`
Action definition id of the smart enter (inverse) action.
`static final String`
`SWAP_MARK`
Action definition id of the edit swap mark action.
`static final String`
`TEXT_END`
Action definition id of the navigate goto text end action.
`static final String`
`TEXT_START`
Action definition id of the navigate goto text start action.
`static final String`
`TOGGLE_INSERT_MODE`
Action definition ID of the edit -> smart insert mode action Value: `"org.eclipse.ui.edit.text.toggleInsertMode"`).
`static final String`
`TOGGLE_OVERWRITE`
Action definition id of the toggle input mode action.
`static final String`
`TOGGLE_SHOW_SELECTED_ELEMENT_ONLY`
Action definition id of toggle show selected element only action.
`static final String`
`UPPER_CASE`
Action definition id of the upper case action.
`static final String`
`WINDOW_END`
Action definition id of the navigate goto end of window action.
`static final String`
`WINDOW_START`
Action definition id of the navigate goto start of window action.
`static final String`
`WORD_NEXT`
Action definition id of the navigate goto next word action.
`static final String`
`WORD_PREVIOUS`
Action definition id of the navigate goto previous word action.
`static final String`
`WORD_WRAP`
Command ID of the command to toggle word wrap: `"org.eclipse.ui.edit.text.toggleWordWrap"`).

### Fields inherited from interface IWorkbenchActionDefinitionIds

`ADD_BOOKMARK, ADD_TASK, COPY, CUT, DELETE, FIND_INCREMENTAL, FIND_INCREMENTAL_REVERSE, FIND_NEXT, FIND_PREVIOUS, FIND_REPLACE, MOVE, PASTE, PRINT, PROPERTIES, REDO, RENAME, REVERT, REVERT_TO_SAVED, SAVE, SELECT_ALL, UNDO`

## Field Details

### DELETE_LINE

static final String DELETE_LINE
Action definition id of the edit delete line action. Value: `"org.eclipse.ui.edit.text.delete.line"`

See Also:
  - Constant Field Values

### JOIN_LINES

static final String JOIN_LINES
Action definition id of the edit join lines action. Value: `"org.eclipse.ui.edit.text.join.line"`

Since:
  3.3
See Also:
  - Constant Field Values

### CUT_LINE

static final String CUT_LINE
Action definition id of the edit cut line action. Value: `"org.eclipse.ui.edit.text.cut.line"`

Since:
  2.1
See Also:
  - Constant Field Values

### DELETE_LINE_TO_BEGINNING

static final String DELETE_LINE_TO_BEGINNING
Action definition id of the edit delete line to beginning action. Value: `"org.eclipse.ui.edit.text.delete.line.to.beginning"`

See Also:
  - Constant Field Values

### CUT_LINE_TO_BEGINNING

static final String CUT_LINE_TO_BEGINNING
Action definition id of the edit cut line to beginning action. Value: `"org.eclipse.ui.edit.text.cut.line.to.beginning"`

Since:
  2.1
See Also:
  - Constant Field Values

### DELETE_LINE_TO_END

static final String DELETE_LINE_TO_END
Action definition id of the edit delete line to end action. Value: `"org.eclipse.ui.edit.text.delete.line.to.end"`

See Also:
  - Constant Field Values

### CUT_LINE_TO_END

static final String CUT_LINE_TO_END
Action definition id of the edit cut line to end action. Value: `"org.eclipse.ui.edit.text.cut.line.to.end"`

Since:
  2.1
See Also:
  - Constant Field Values

### SET_MARK

static final String SET_MARK
Action definition id of the edit set mark action. Value: `"org.eclipse.ui.edit.text.set.mark"`

See Also:
  - Constant Field Values

### CLEAR_MARK

static final String CLEAR_MARK
Action definition id of the edit clear mark action. Value: `"org.eclipse.ui.edit.text.clear.mark"`

See Also:
  - Constant Field Values

### SWAP_MARK

static final String SWAP_MARK
Action definition id of the edit swap mark action. Value: `"org.eclipse.ui.edit.text.swap.mark"`

See Also:
  - Constant Field Values

### SMART_ENTER

static final String SMART_ENTER
Action definition id of the smart enter action. Value: `"org.eclipse.ui.edit.text.smartEnter"`

Since:
  3.0
See Also:
  - Constant Field Values

### SMART_ENTER_INVERSE

static final String SMART_ENTER_INVERSE
Action definition id of the smart enter (inverse) action. Value: `"org.eclipse.ui.edit.text.smartEnterInverse"`

Since:
  3.0
See Also:
  - Constant Field Values

### MOVE_LINES_UP

static final String MOVE_LINES_UP
Action definition id of the move lines upwards action. Value: `"org.eclipse.ui.edit.text.moveLineUp"`

Since:
  3.0
See Also:
  - Constant Field Values

### MOVE_LINES_DOWN

static final String MOVE_LINES_DOWN
Action definition id of the move lines downwards action. Value: `"org.eclipse.ui.edit.text.moveLineDown"`

Since:
  3.0
See Also:
  - Constant Field Values

### COPY_LINES_UP

static final String COPY_LINES_UP
Action definition id of the copy lines upwards action. Value: `"org.eclipse.ui.edit.text.copyLineUp"`

Since:
  3.0
See Also:
  - Constant Field Values

### COPY_LINES_DOWN

static final String COPY_LINES_DOWN
Action definition id of the copy lines downwards action. Value: `"org.eclipse.ui.edit.text.copyLineDown"`

Since:
  3.0
See Also:
  - Constant Field Values

### UPPER_CASE

static final String UPPER_CASE
Action definition id of the upper case action. Value: `"org.eclipse.ui.edit.text.upperCase"`

Since:
  3.0
See Also:
  - Constant Field Values

### LOWER_CASE

static final String LOWER_CASE
Action definition id of the lower case action. Value: `"org.eclipse.ui.edit.text.lowerCase"`

Since:
  3.0
See Also:
  - Constant Field Values

### LINE_UP

static final String LINE_UP
Action definition id of the navigate goto previous line action. Value: `"org.eclipse.ui.edit.text.goto.lineUp"`

See Also:
  - Constant Field Values

### LINE_DOWN

static final String LINE_DOWN
Action definition id of the navigate goto next line action. Value: `"org.eclipse.ui.edit.text.goto.lineDown"`

See Also:
  - Constant Field Values

### LINE_START

static final String LINE_START
Action definition id of the navigate goto line start action. Value: `"org.eclipse.ui.edit.text.goto.lineStart"`

See Also:
  - Constant Field Values

### LINE_END

static final String LINE_END
Action definition id of the navigate goto line end action. Value: `"org.eclipse.ui.edit.text.goto.lineEnd"`

See Also:
  - Constant Field Values

### LINE_GOTO

static final String LINE_GOTO
Action definition id of the navigate goto line action. Value: `"org.eclipse.ui.edit.text.goto.line"`

See Also:
  - Constant Field Values

### COLUMN_PREVIOUS

static final String COLUMN_PREVIOUS
Action definition id of the navigate goto previous column action. Value: `"org.eclipse.ui.edit.text.goto.columnPrevious"`

See Also:
  - Constant Field Values

### COLUMN_NEXT

static final String COLUMN_NEXT
Action definition id of the navigate goto next column action. Value: `"org.eclipse.ui.edit.text.goto.columnNext"`

See Also:
  - Constant Field Values

### PAGE_UP

static final String PAGE_UP
Action definition id of the navigate goto previous page action. Value: `"org.eclipse.ui.edit.text.goto.pageUp"`

See Also:
  - Constant Field Values

### PAGE_DOWN

static final String PAGE_DOWN
Action definition id of the navigate goto next page action. Value: `"org.eclipse.ui.edit.text.goto.pageDown"`

See Also:
  - Constant Field Values

### WORD_PREVIOUS

static final String WORD_PREVIOUS
Action definition id of the navigate goto previous word action. Value: `"org.eclipse.ui.edit.text.goto.wordPrevious"`

See Also:
  - Constant Field Values

### WORD_NEXT

static final String WORD_NEXT
Action definition id of the navigate goto next word action. Value: `"org.eclipse.ui.edit.text.goto.wordNext"`

See Also:
  - Constant Field Values

### TEXT_START

static final String TEXT_START
Action definition id of the navigate goto text start action. Value: `"org.eclipse.ui.edit.text.goto.textStart"`

See Also:
  - Constant Field Values

### TEXT_END

static final String TEXT_END
Action definition id of the navigate goto text end action. Value: `"org.eclipse.ui.edit.text.goto.textEnd"`

See Also:
  - Constant Field Values

### WINDOW_START

static final String WINDOW_START
Action definition id of the navigate goto start of window action. Value: `"org.eclipse.ui.edit.text.goto.windowStart"`

See Also:
  - Constant Field Values

### WINDOW_END

static final String WINDOW_END
Action definition id of the navigate goto end of window action. Value: `"org.eclipse.ui.edit.text.goto.windowEnd"`

See Also:
  - Constant Field Values

### SCROLL_LINE_UP

static final String SCROLL_LINE_UP
Action definition id of the navigate scroll line up action. Value: `"org.eclipse.ui.edit.text.scroll.lineUp"`

See Also:
  - Constant Field Values

### SCROLL_LINE_DOWN

static final String SCROLL_LINE_DOWN
Action definition id of the navigate scroll line down action. Value: `"org.eclipse.ui.edit.text.scroll.lineDown"`

See Also:
  - Constant Field Values

### SELECT_LINE_UP

static final String SELECT_LINE_UP
Action definition id of the select line up action. Value: `"org.eclipse.ui.edit.text.select.lineUp"`

See Also:
  - Constant Field Values

### SELECT_LINE_DOWN

static final String SELECT_LINE_DOWN
Action definition id of the select line down action. Value: `"org.eclipse.ui.edit.text.select.lineDown"`

See Also:
  - Constant Field Values

### SELECT_LINE_START

static final String SELECT_LINE_START
Action definition id of the select line start action. Value: `"org.eclipse.ui.edit.text.select.lineStart"`

See Also:
  - Constant Field Values

### SELECT_LINE_END

static final String SELECT_LINE_END
Action definition id of the select line end action. Value: `"org.eclipse.ui.edit.text.select.lineEnd"`

See Also:
  - Constant Field Values

### SELECT_COLUMN_PREVIOUS

static final String SELECT_COLUMN_PREVIOUS
Action definition id of the select previous column action. Value: `"org.eclipse.ui.edit.text.select.columnPrevious"`

See Also:
  - Constant Field Values

### SELECT_COLUMN_NEXT

static final String SELECT_COLUMN_NEXT
Action definition id of the select next column action. Value: `"org.eclipse.ui.edit.text.select.columnNext"`

See Also:
  - Constant Field Values

### SELECT_PAGE_UP

static final String SELECT_PAGE_UP
Action definition id of the select page up action. Value: `"org.eclipse.ui.edit.text.select.pageUp"`

See Also:
  - Constant Field Values

### SELECT_PAGE_DOWN

static final String SELECT_PAGE_DOWN
Action definition id of the select page down action. Value: `"org.eclipse.ui.edit.text.select.pageDown"`

See Also:
  - Constant Field Values

### SELECT_WORD_PREVIOUS

static final String SELECT_WORD_PREVIOUS
Action definition id of the select previous word action. Value: `"org.eclipse.ui.edit.text.select.wordPrevious"`

See Also:
  - Constant Field Values

### SELECT_WORD_NEXT

static final String SELECT_WORD_NEXT
Action definition id of the select next word action. Value: `"org.eclipse.ui.edit.text.select.wordNext"`

See Also:
  - Constant Field Values

### SELECT_TEXT_START

static final String SELECT_TEXT_START
Action definition id of the select text start action. Value: `"org.eclipse.ui.edit.text.select.textStart"`

See Also:
  - Constant Field Values

### SELECT_TEXT_END

static final String SELECT_TEXT_END
Action definition id of the select text end action. Value: `"org.eclipse.ui.edit.text.select.textEnd"`

See Also:
  - Constant Field Values

### SELECT_WINDOW_START

static final String SELECT_WINDOW_START
Action definition id of the select window start action. Value: `"org.eclipse.ui.edit.text.select.windowStart"`

See Also:
  - Constant Field Values

### SELECT_WINDOW_END

static final String SELECT_WINDOW_END
Action definition id of the select window end action. Value: `"org.eclipse.ui.edit.text.select.windowEnd"`

See Also:
  - Constant Field Values

### DELETE_PREVIOUS

static final String DELETE_PREVIOUS
Action definition id of the edit delete previous character action. Value: `"org.eclipse.ui.edit.text.deletePrevious"`

See Also:
  - Constant Field Values

### DELETE_NEXT

static final String DELETE_NEXT
Action definition id of the edit delete next character action. Value: `"org.eclipse.ui.edit.text.deleteNext"`

See Also:
  - Constant Field Values

### DELETE_PREVIOUS_WORD

static final String DELETE_PREVIOUS_WORD
Action definition id of the edit delete previous word action. Value: `"org.eclipse.ui.edit.text.deletePreviousWord"`

Since:
  2.1
See Also:
  - Constant Field Values

### DELETE_NEXT_WORD

static final String DELETE_NEXT_WORD
Action definition id of the edit delete next word action. Value: `"org.eclipse.ui.edit.text.deleteNextWord"`

Since:
  2.1
See Also:
  - Constant Field Values

### SHIFT_RIGHT

static final String SHIFT_RIGHT
Action definition id of the edit shift right action. Value: `"org.eclipse.ui.edit.text.shiftRight"`

See Also:
  - Constant Field Values

### SHIFT_LEFT

static final String SHIFT_LEFT
Action definition id of the edit shift left action. Value: `"org.eclipse.ui.edit.text.shiftLeft"`

See Also:
  - Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_WINDOWS

@Deprecated(forRemoval=true, since="2025-12") static final String CONVERT_LINE_DELIMITERS_TO_WINDOWS
Deprecated, for removal: This API element is subject to removal in a future version.
since 3.1. No longer supported as editor actions.
Action definition id of the edit convert to window's line delimiter action. Value: `"org.eclipse.ui.edit.text.convert.lineDelimiters.toWindows"`

See Also:
  - Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_UNIX

@Deprecated(forRemoval=true, since="2025-12") static final String CONVERT_LINE_DELIMITERS_TO_UNIX
Deprecated, for removal: This API element is subject to removal in a future version.
since 3.1. No longer supported as editor actions.
Action definition id of the edit convert to Unix line delimiter action. Value: `"org.eclipse.ui.edit.text.convert.lineDelimiters.toUNIX"`

See Also:
  - Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_MAC

@Deprecated(forRemoval=true, since="2025-12") static final String CONVERT_LINE_DELIMITERS_TO_MAC
Deprecated, for removal: This API element is subject to removal in a future version.
since 3.1. No longer supported as editor actions.
Action definition id of the edit convert to Mac line delimiter action. Value: `"org.eclipse.ui.edit.text.convert.lineDelimiters.toMac"`

See Also:
  - Constant Field Values

### TOGGLE_OVERWRITE

static final String TOGGLE_OVERWRITE
Action definition id of the toggle input mode action. Value: `"org.eclipse.ui.edit.text.toggleOverwrite"`

See Also:
  - Constant Field Values

### TOGGLE_SHOW_SELECTED_ELEMENT_ONLY

static final String TOGGLE_SHOW_SELECTED_ELEMENT_ONLY
Action definition id of toggle show selected element only action. Value: `"org.eclipse.ui.edit.text.toggleShowSelectedElementOnly"`

Since:
  3.0
See Also:
  - Constant Field Values

### SHOW_RULER_CONTEXT_MENU

static final String SHOW_RULER_CONTEXT_MENU
Action definition id of the show ruler context menu action. Value: `"org.eclipse.ui.edit.text.showRulerContextMenu"`

See Also:
  - Constant Field Values

### GOTO_LAST_EDIT_POSITION

static final String GOTO_LAST_EDIT_POSITION
Action definition id of go to last edit position action. Value: `"org.eclipse.ui.edit.text.gotoLastEditPosition"`

Since:
  2.1
See Also:
  - Constant Field Values

### GOTO_NEXT_EDIT_POSITION

static final String GOTO_NEXT_EDIT_POSITION
Action definition id of go to next edit position action. Value: `"org.eclipse.ui.edit.text.gotoNextEditPosition"`

Since:
  3.15
See Also:
  - Constant Field Values

### GOTO_NEXT_ANNOTATION

static final String GOTO_NEXT_ANNOTATION
Action definition id of go to next annotation action. Value: `"org.eclipse.ui.edit.text.gotoNextAnnotation"`

Since:
  3.0
See Also:
  - Constant Field Values

### GOTO_PREVIOUS_ANNOTATION

static final String GOTO_PREVIOUS_ANNOTATION
Action definition id of go to previous annotation action. Value: `"org.eclipse.ui.edit.text.gotoPreviousAnnotation"`

Since:
  3.0
See Also:
  - Constant Field Values

### CONTENT_ASSIST_PROPOSALS

static final String CONTENT_ASSIST_PROPOSALS
Action definition ID of the edit -> content assist proposal action Value: `"org.eclipse.ui.edit.text.contentAssist.proposals"`).

Note: Since 3.2 the command is defined in `org.eclipse.ui` and its ID can also be accessed using `ContentAssistCommandAdapter.CONTENT_PROPOSAL_COMMAND`.

Since:
  2.1
See Also:
  - Constant Field Values

### CONTENT_ASSIST_CONTEXT_INFORMATION

static final String CONTENT_ASSIST_CONTEXT_INFORMATION
Action definition ID of the edit -> content assist context information action Value: `"org.eclipse.ui.edit.text.contentAssist.contextInformation"`).

Since:
  2.1
See Also:
  - Constant Field Values

### QUICK_ASSIST

static final String QUICK_ASSIST
Action definition ID of the edit -> quick assist proposal action

Note: The constant contains 'jdt' for historical and compatibility reasons.

(value `"org.eclipse.jdt.ui.edit.text.java.correction.assist.proposals"`).

Since:
  3.2
See Also:
  - Constant Field Values

### TOGGLE_INSERT_MODE

static final String TOGGLE_INSERT_MODE
Action definition ID of the edit -> smart insert mode action Value: `"org.eclipse.ui.edit.text.toggleInsertMode"`).

Since:
  3.0
See Also:
  - Constant Field Values

### CHANGE_ENCODING

static final String CHANGE_ENCODING
Value: `"org.eclipse.ui.edit.text.changeEncoding"`).

Since:
  3.1
See Also:
  - Constant Field Values

### QUICKDIFF_REVERTLINE

static final String QUICKDIFF_REVERTLINE
Command ID of the revert line action Value: `"org.eclipse.ui.editors.quickdiff.revertLine"`).

Since:
  3.1
See Also:
  - Constant Field Values

### QUICKDIFF_REVERT

static final String QUICKDIFF_REVERT
Command ID of the revert selection/block action Value: `"org.eclipse.ui.editors.quickdiff.revert"`).

Since:
  3.1
See Also:
  - Constant Field Values

### QUICKDIFF_TOGGLE

static final String QUICKDIFF_TOGGLE
Command ID of the toggle quick diff action. The name has no proper prefix for historical reasons. Value: `"org.eclipse.quickdiff.toggle"`).

Since:
  3.1
See Also:
  - Constant Field Values

### LINENUMBER_TOGGLE

static final String LINENUMBER_TOGGLE
Command ID of the toggle display of line numbers Value: `"org.eclipse.ui.editors.lineNumberToggle"`).

Since:
  3.1
See Also:
  - Constant Field Values

### HIPPIE_COMPLETION

static final String HIPPIE_COMPLETION
Action definition ID of the edit -> text complete action Value: `"org.eclipse.ui.edit.text.hippieCompletion"`).

Since:
  3.1
See Also:
  - Constant Field Values

### REVISION_RENDERING_CYCLE

static final String REVISION_RENDERING_CYCLE
Command ID of the command to cycle the revision rendering mode. Value: `"org.eclipse.ui.editors.revisions.rendering.cycle"`).

Since:
  3.3
See Also:
  - Constant Field Values

### REVISION_AUTHOR_TOGGLE

static final String REVISION_AUTHOR_TOGGLE
Command ID of the command to toggle the revision author display. Value: `"org.eclipse.ui.editors.revisions.author.toggle"`).

Since:
  3.3
See Also:
  - Constant Field Values

### REVISION_ID_TOGGLE

static final String REVISION_ID_TOGGLE
Command ID of the command to toggle the revision ID display. Value: `"org.eclipse.ui.editors.revisions.id.toggle"`).

Since:
  3.3
See Also:
  - Constant Field Values

### RECENTER

static final String RECENTER
Command ID of the recenter command. Value: `"org.eclipse.ui.edit.text.recenter"`).

Since:
  3.3
See Also:
  - Constant Field Values

### SHOW_WHITESPACE_CHARACTERS

static final String SHOW_WHITESPACE_CHARACTERS
Command ID of the command to toggle the display of whitespace characters. Value: `"org.eclipse.ui.edit.text.toggleShowWhitespaceCharacters"`).

Since:
  3.3
See Also:
  - Constant Field Values

### SHOW_INFORMATION

static final String SHOW_INFORMATION
Command ID of the command to display information for the current caret location in a sticky hover. Value `"org.eclipse.ui.edit.text.showInformation"`).

Since:
  3.3
See Also:
  - `IInformationProvider`
  - Constant Field Values

### BLOCK_SELECTION_MODE

static final String BLOCK_SELECTION_MODE
Command ID of the command to toggle block selection mode. Value: `"org.eclipse.ui.edit.text.toggleBlockSelectionMode"`).

Since:
  3.5
See Also:
  - Constant Field Values

### WORD_WRAP

static final String WORD_WRAP
Command ID of the command to toggle word wrap: `"org.eclipse.ui.edit.text.toggleWordWrap"`).

Since:
  3.10
See Also:
  - Constant Field Values

### SHOW_CHANGE_RULER_INFORMATION_ID

static final String SHOW_CHANGE_RULER_INFORMATION_ID
Command ID of the command to display a sticky ruler hover for the current caret location. Value `"org.eclipse.ui.edit.text.showChangeRulerInformation"`.

Since:
  3.6
See Also:
  - Constant Field Values

### SHOW_RULER_ANNOTATION_INFORMATION_ID

static final String SHOW_RULER_ANNOTATION_INFORMATION_ID
Command ID of the command to display a sticky ruler annotation hover for the current caret location. Value `"org.eclipse.ui.edit.text.showRulerAnnotationInformation"`.

Since:
  3.6
See Also:
  - Constant Field Values

### OPEN_HYPERLINK

static final String OPEN_HYPERLINK
Command ID of the command to open the hyperlink at the caret location or to display a chooser if more than one hyperlink is available. Value: `"org.eclipse.ui.edit.text.open.hyperlink"`

Since:
  3.7
See Also:
  - Constant Field Values